Download it now!
Bug 120065 - GTK3: some Elementary wrap icons are smaller than others, etc
Summary: GTK3: some Elementary wrap icons are smaller than others, etc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.4.0 target:6.3.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-09-22 18:13 UTC by Xisco Faulí
Modified: 2019-06-12 08:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison LibreOffice 6.0.6 and LibreOffice 6.2 (59.58 KB, image/png)
2018-09-22 18:13 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-09-22 18:13:20 UTC
Created attachment 145117 [details]
comparison LibreOffice 6.0.6 and LibreOffice 6.2

Maybe it's just with gtk3 3.18...

Steps to Reproduce:
1. Open Writer
2. Insert a shape
3. Right click on the shape -> Wrap -> Edit

-> see attached image

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 66232248ff55639052ddb76918d555e21dc9c46b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 1 Xisco Faulí 2018-09-22 18:14:05 UTC
Recent regression.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f6ab12d5dae1212b0ad4e82ca3325f3dd4c974b6

author	Caolán McNamara <caolanm@redhat.com>	2018-09-20 14:24:55 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-20 18:13:05 +0200
commit	f6ab12d5dae1212b0ad4e82ca3325f3dd4c974b6 (patch)
tree	921d7e9de1fe7e323543489f85cd0f78f664057d
parent	11a229c0094979b4980d8e3be8a8a7db60d01be7 (diff)
weld SwWrapDlg

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-09-22 20:35:53 UTC
I think this is an icon theme thing, rather than a weld thing. If you change the icon theme to galaxy as used in the 6-0 screenshot you get big icons.

In the elementary theme if you select "before" and toggle contour some icons have a different size to others. Checking I get...

file icon-themes/elementary/sw/res/wr*.png 
icon-themes/elementary/sw/res/wr010.png: PNG image data, 16 x 16, 4-bit colormap, non-interlaced
icon-themes/elementary/sw/res/wr011.png: PNG image data, 16 x 16, 4-bit colormap, non-interlaced
icon-themes/elementary/sw/res/wr01.png:  PNG image data, 24 x 24, 8-bit colormap, non-interlaced
icon-themes/elementary/sw/res/wr02.png:  PNG image data, 16 x 16, 4-bit colormap, non-interlaced
icon-themes/elementary/sw/res/wr03.png:  PNG image data, 24 x 24, 8-bit colormap, non-interlaced
icon-themes/elementary/sw/res/wr04.png:  PNG image data, 16 x 16, 4-bit colormap, non-interlaced
icon-themes/elementary/sw/res/wr05.png:  PNG image data, 16 x 16, 4-bit colormap, non-interlaced
icon-themes/elementary/sw/res/wr06.png:  PNG image data, 24 x 24, 8-bit colormap, non-interlaced
icon-themes/elementary/sw/res/wr07.png:  PNG image data, 16 x 16, 4-bit colormap, non-interlaced
icon-themes/elementary/sw/res/wr08.png:  PNG image data, 16 x 16, 4-bit colormap, non-interlaced
icon-themes/elementary/sw/res/wr09.png:  PNG image data, 24 x 24, 8-bit colormap, non-interlaced

some are 24x24 and some are 16x16, they should ideally all be the same size, the larger size. (In the colibre theme they are 32x32, and the breeze_dark theme has these mixed sizes too)
Comment 3 Caolán McNamara 2018-09-22 20:42:41 UTC
caolanm->andreas_kainz: Do you think we can get all of those wr*png icons in the larger size ? There's a few other problems there too on toggling contour, "After" looks good in both modes, large rectangle vs large diamond, but we don't get diamonds in the other contour cases.
Comment 4 Rizal Muttaqin 2018-09-26 06:31:17 UTC
Right now I'm trying to help Andreas for maintaining elementary icon and I have send a patch for this bug. I've changed color of "object" to purple for all size (including the new 32px one). Just waiting for approval.

https://gerrit.libreoffice.org/#/c/60950/
Comment 5 Commit Notification 2018-09-26 14:05:28 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f16835c10435ddafdfe05921eac9b89e488ab8e

tdf#120065 and tdf#120108, Fix wrap elementary icons

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2018-09-26 20:50:57 UTC
Looks an improvement to me. Though in the wrap page of format->image, selecting e.g. optimal, and toggling contour on/off shows the same icon for optimal with contour on or off. I wonder if there should be a contour version of that icon, e.g. sw/res/wr06.png vs sw/res/wr011.png. There is also no difference between sw/res/wr01.png (wrap NONE) and sw/res/wr07.png (coutour wrap NONE)
Comment 7 Xisco Faulí 2018-10-29 19:05:53 UTC
(In reply to Caolán McNamara from comment #6)
> Looks an improvement to me. Though in the wrap page of format->image,
> selecting e.g. optimal, and toggling contour on/off shows the same icon for
> optimal with contour on or off. I wonder if there should be a contour
> version of that icon, e.g. sw/res/wr06.png vs sw/res/wr011.png. There is
> also no difference between sw/res/wr01.png (wrap NONE) and sw/res/wr07.png
> (coutour wrap NONE)

@Rizal Muttaqin, Would you mind taking a look to Caolán's Comment ?
Comment 8 Heiko Tietze 2019-03-01 13:37:46 UTC Comment hidden (off-topic)
Comment 9 Xisco Faulí 2019-06-10 15:02:00 UTC
Dear Rizal Muttaqin,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 10 Rizal Muttaqin 2019-06-12 03:37:28 UTC
(In reply to Caolán McNamara from comment #6)
> Looks an improvement to me. Though in the wrap page of format->image,
> selecting e.g. optimal, and toggling contour on/off shows the same icon for
> optimal with contour on or off. I wonder if there should be a contour
> version of that icon, e.g. sw/res/wr06.png vs sw/res/wr011.png. There is
> also no difference between sw/res/wr01.png (wrap NONE) and sw/res/wr07.png
> (coutour wrap NONE)

Yes, Galaxy use diamond to represent contour on/off. will try to set different icons as Galaxy has.



As a side note TBH, I personally a little confuse with wrapping in LibO, For example wrap through the icon it self show image under text but in reality it vice versa.


Could someone please see wrapping icons in Karasa Jaga theme to see if the object representation (as leaf) is not suitable?
Comment 11 Commit Notification 2019-06-12 08:19:06 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4ebedd4f21c6a54018e7b7692b89fa46263de756%5E%21

elementary: tdf#120065, differentiate contour on/off wrap icons

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-06-12 08:19:20 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/e34e63bada32b18b2fac373508457114f478c0c7%5E%21

elementary: tdf#120065, differentiate contour on/off wrap icons

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.